Bug 6889 - 'PWD' mentioned but not specified
Summary: 'PWD' mentioned but not specified
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: manual (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: 2.28
Assignee: Rical Jasan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-15 18:16 UTC by Siward de Groot
Modified: 2018-03-31 12:35 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Siward de Groot 2008-09-15 18:16:04 UTC
Hi everyone,

in manual, in description of get_current_dir_name :
 "Only difference is that value of `PWD' variable
  is returned if this value is correct."

There is no further mention of this variable,
  so i presume you mean shell-variable ?
It might be nice to explicitly state that,
  or perhaps add a link to getenv(), if that is used to find value of PWD.
Comment 1 cvs-commit@gcc.gnu.org 2018-02-19 10:01:17 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  7d15ef84f50a80cb170f8ce3457010f59e221cb8 (commit)
      from  f8d79582896c52cc2b50bdd030a3ec27ef23b587 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7d15ef84f50a80cb170f8ce3457010f59e221cb8

commit 7d15ef84f50a80cb170f8ce3457010f59e221cb8
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Fri Feb 16 08:47:20 2018 -0800

    manual: Improve documentation of get_current_dir_name. [BZ #6889]
    
    This is a minor rewording to clarify the behaviour of
    get_current_dir_name.  Additionally, the @vindex is moved above the
    @deftypefun so that following links give a better result with regard
    to context.
    
    	[BZ #6889]
    	* manual/filesys.texi (get_current_dir_name): Clarify
    	behaviour.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog           |    5 +++++
 manual/filesys.texi |   17 +++++++++--------
 2 files changed, 14 insertions(+), 8 deletions(-)
Comment 2 cvs-commit@gcc.gnu.org 2018-02-19 22:18:42 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, release/2.27/master has been updated
       via  b4108a361f05ee87122b86aa7d799e4512013588 (commit)
       via  aa02f2b2f53363fb4b8cfc508989fc161e28b6d9 (commit)
       via  6031b49c397a7f88d9f27f2ad4f53ad0ced57bde (commit)
       via  d5f136743d84ca2f7786ad796451b41881a8786b (commit)
       via  1b7671f6e19d2f8f71752a25e490337dbbcb1d12 (commit)
       via  516fa6080481a1433c173320b1c1432868e1e38a (commit)
       via  79543e547945085041e004b460c61135890a2607 (commit)
      from  55171cd08f86b76ba140283d1b00bb903b49b6f4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b4108a361f05ee87122b86aa7d799e4512013588

commit b4108a361f05ee87122b86aa7d799e4512013588
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Fri Feb 16 08:47:20 2018 -0800

    manual: Improve documentation of get_current_dir_name. [BZ #6889]
    
    This is a minor rewording to clarify the behaviour of
    get_current_dir_name.  Additionally, the @vindex is moved above the
    @deftypefun so that following links give a better result with regard
    to context.
    
    	[BZ #6889]
    	* manual/filesys.texi (get_current_dir_name): Clarify
    	behaviour.
    
    (cherry picked from commit 7d15ef84f50a80cb170f8ce3457010f59e221cb8)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=aa02f2b2f53363fb4b8cfc508989fc161e28b6d9

commit aa02f2b2f53363fb4b8cfc508989fc161e28b6d9
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Fri Feb 16 08:21:47 2018 -0800

    manual: Fix a syntax error.
    
    The opening parenthesis for function arguments in an @deftypefun need
    to be separated from the function name.  This isn't just a matter of
    the GNU coding style---it causes the "(void" (in this case) to be
    rendered as a part of the function name, causing a visual defect, and
    also results in a warning to the following effect during `make pdf':
    
      Warning: unbalanced parentheses in @def...)
    
    	* manual/platform.texi (__riscv_flush_icache): Fix @deftypefun
    	syntax.
    
    (cherry picked from commit 16efad5171ac1ac2c8728405f2703045f08c494b)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6031b49c397a7f88d9f27f2ad4f53ad0ced57bde

commit 6031b49c397a7f88d9f27f2ad4f53ad0ced57bde
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Wed Jan 24 01:03:38 2018 -0800

    manual: Fix Texinfo warnings about improper node names.
    
    A number of cross-references to the GCC info manual cause Texinfo
    warnings; e.g.:
    
      ./creature.texi:11: warning: @xref node name should not contain `.'
    
    This is due to "gcc.info" being used in the INFO-FILE-NAME (fourth)
    argument.  Changing it to "gcc" removes these warnings.  (Manually
    confirmed equivalent behaviour for make info, html, and pdf.)
    
    	* manual/creature.texi: Convert references to gcc.info to gcc.
    	* manual/stdio.texi: Likewise.
    	* manual/string.texi: Likewise.
    
    (cherry picked from commit 1f6676d7da1b7c864e9a5d59fe9162a88bd21952)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d5f136743d84ca2f7786ad796451b41881a8786b

commit d5f136743d84ca2f7786ad796451b41881a8786b
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Sun Feb 18 18:23:14 2018 +0100

    Fix posix/tst-glob_lstat_compat on alpha [BZ #22818]
    
    The tst-glob_lstat_compat test needs to run tests on the previous
    version of glob. On alpha, there are three versions of glob, GLIBC_2.0,
    GLIBC_2.1 and GLIBC_2.27, while on other architectures there are only
    the GLIBC_2.0 and GLIBC_2.27 version. Therefore on alpha the previous
    version is GLIBC_2.1 and not GLIBC_2.0.
    
    Changelog:
    	[BZ #22818]
    	* posix/tst-glob_lstat_compat.c [__alpha__] (glob): Access
    	the GLIBC_2.1 version.
    
    (cherry picked from commit f8d79582896c52cc2b50bdd030a3ec27ef23b587)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1b7671f6e19d2f8f71752a25e490337dbbcb1d12

commit 1b7671f6e19d2f8f71752a25e490337dbbcb1d12
Author: Sean McKean <smckean83@gmail.com>
Date:   Fri Feb 2 11:59:31 2018 +0100

    time: Reference CLOCKS_PER_SEC in clock comment [BZ #22735]
    
    (cherry picked from commit 09e56b9e18f987105e39768f907db800e9330930)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=516fa6080481a1433c173320b1c1432868e1e38a

commit 516fa6080481a1433c173320b1c1432868e1e38a
Author: Dmitry V. Levin <ldv@altlinux.org>
Date:   Fri Dec 29 23:19:32 2017 +0000

    linux/aarch64: sync sys/ptrace.h with Linux 4.15 [BZ #22433]
    
    Remove compat-specific constants that were never exported by kernel
    headers under these names.  Before linux commit v3.7-rc1~16^2~1 they
    were exported with COMPAT_ prefix, and since that commit they are not
    exported at all.
    
    * sysdeps/unix/sysv/linux/aarch64/sys/ptrace.h (__ptrace_request):
    Remove arm-specific PTRACE_GET_THREAD_AREA, PTRACE_GETHBPREGS,
    and PTRACE_SETHBPREGS.
    
    (cherry picked from commit 2fd4bbaa1446f1be700e10c526cf585a796c4991)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=79543e547945085041e004b460c61135890a2607

commit 79543e547945085041e004b460c61135890a2607
Author: Dmitry V. Levin <ldv@altlinux.org>
Date:   Tue Feb 6 09:31:30 2018 +0000

    NEWS: add an entry for bug 22827

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                    |   34 ++++++++++++++++++++++++++
 NEWS                                         |    4 +++
 manual/creature.texi                         |    2 +-
 manual/filesys.texi                          |   17 +++++++------
 manual/platform.texi                         |    2 +-
 manual/stdio.texi                            |    8 +++---
 manual/string.texi                           |    2 +-
 posix/tst-glob_lstat_compat.c                |    7 +++++
 sysdeps/unix/sysv/linux/aarch64/sys/ptrace.h |    8 ------
 time/time.h                                  |    2 +-
 10 files changed, 62 insertions(+), 24 deletions(-)
Comment 3 Rical Jasan 2018-02-20 01:36:03 UTC
Fixed for 2.28 (and looks like it was backported to 2.27).